Subject: Re: bug#59338: 29.0.50; Commit 1a2d603bb3 breaks Eglot on Windows

From: João Távora <[email-masked]>
Date: Thu, 24 Nov 2022 15:27:57 +0000

I've just tested it on a Windows machine and pushed it, thanks.

Closing this.

João

On Thu, Nov 24, 2022 at 1:44 PM Danny Freeman <[email-masked]> wrote:

>
> João Távora <[email-masked]> writes:
>
> > I just found out this bug was ongoing.
> >
> > Eli, if you're proposing to fix url-parse.el to not be fooled by windows
> > file names, then I support that idea, and I think it's the correct
> > thing to do.
> >
> > But.... we still need the eglot.el kludge installed because url-parse.el
> > is not distributed as an ELPA package and Eglot is. So users of
> > Emacs < 29 would not receive the fix and would have their
> > WIndows Eglot broken.
> >
> > João
> >
>
> Should my patch for eglot be merged then?
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=59338#53
>
> --
> Danny Freeman
>

-- 
João Távora